function [V]=Abs2R3(A,B,c,d,OrientPoints,transparency,varargin)
%
%  Abs2R3    
%     |Ax-c| <= B|x|+d.
%
%   :
%   A,B -  ,   m   3 ;
%   c,d -    m;
%   OrientPoints -    -, 
%      : 0 -  , 1 - ;
%   transparency -    , 
%      : 0 - , 1 - .
%
%   :
%   varargin -   , 
%       6   xb,xe,yb,ye,zb,ze,  
%     xb,yb,zb -  ,   xe,ye,ze -   .
%
%  : 
%   V -  - 
%     (     ).
%
% :    (  , )
% :  13/12/2013

   %     [uC,oC] x \subseteq [ud,od]
   %   
   uC=A+B;
   oC=A-B;
   ud=c-d;
   od=c+d;

   %     [uC,oC] x \subseteq [ud,od]
   var=(length(varargin)==6);
   if var %       , 
      [V]=CxindR3(uC,oC,ud,od,OrientPoints,transparency,varargin{1},varargin{2},varargin{3},varargin{4},varargin{5},varargin{6});
   else
      [V]=CxindR3(uC,oC,ud,od,OrientPoints,transparency);
   end

end
